Package org.eclipse.birt.chart.model.type

# Interface AreaSeries

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `LineSeries`, `org.eclipse.emf.common.notify.Notifier`, `Series`

All Known Subinterfaces:
  `DifferenceSeries`

All Known Implementing Classes:
  `AreaSeriesImpl`, `DifferenceSeriesImpl`

public interface AreaSeries extends LineSeries
A representation of the model object 'Area Series'. This is a Series type that, during design time, holds the query data for Area charts, and during run time, holds the value for each data point in the series. When rendered, a line connects each data point, and the area below the line is filled with the series color.

See Also:
  - `TypePackage.getAreaSeries()`

## Method Summary

Modifier and Type
Method
Description
`AreaSeries`
`copyInstance()`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.birt.chart.model.type.LineSeries

`getLineAttributes, getMarker, getMarkers, getShadowColor, isConnectMissingValue, isCurve, isPaletteLineColor, isSetConnectMissingValue, isSetCurve, isSetPaletteLineColor, setConnectMissingValue, setCurve, setLineAttributes, setMarker, setPaletteLineColor, setShadowColor, unsetConnectMissingValue, unsetCurve, unsetPaletteLineColor`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.birt.chart.model.component.Series

`canBeStacked, canParticipateInCombination, canShareAxisUnit, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getDefinedDataDefinitionIndex, getDisplayName, getLabel, getLabelPosition, getLabelPositionScope, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, translateFrom, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

## Method Details

### copyInstance

AreaSeries copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `LineSeries`
Specified by:
  `copyInstance` in interface `Series`